from typing import List
from uuid import UUID

from pydantic import BaseModel, ConfigDict

from api.product.schemas import ProductPostSchema, ProductOrderGetSchema


class OrderBaseSchema(BaseModel):
    name: str | None = None


class OrderIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class OrderPostSchema(BaseModel):
     items: List[ProductPostSchema]


class OrderGetSchema(OrderIdSchema):
    status: str
    total: float
    products: List[ProductOrderGetSchema]


class OrderStatusSchema(BaseModel):
    id: UUID
    status: str
